# Pfad zur Konfigurationsdatei
$configFilePath = "$env:APPDATA\AnyDesk\system.conf"

# berprfen, ob die Datei existiert
if (Test-Path $configFilePath) {
    # Inhalt der Datei lesen
    $fileContent = Get-Content -Path $configFilePath
    
    # AnyDesk-ID suchen (z.B. nach "ad.anynet.id")
    $anydeskID = $fileContent | Select-String -Pattern 'ad.anynet.id'

    # Wenn die ID gefunden wurde, in einer Datei speichern
    if ($anydeskID) {
        # Extrahiere den Wert der ID (nach dem `=` Zeichen)
        $idValue = $anydeskID -replace '.*=','' -replace '\s',''
        
        # Datei-Pfad, wo die AnyDesk-ID gespeichert werden soll
        $anydeskIDFile = "C:\Services\BGinfo\anydeskID.txt"

        # Die AnyDesk-ID in eine Textdatei schreiben
        Set-Content -Path $anydeskIDFile -Value $idValue
        Write-Host "AnyDesk-ID wurde erfolgreich ausgelesen und in die Datei geschrieben."
    } else {
        Write-Host "AnyDesk-ID konnte nicht gefunden werden."
    }
} else {
    Write-Host "Konfigurationsdatei nicht gefunden."
}
